Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2093963 - python-structlog fails to build with Python 3.11: test failures due to enahanced tracebacks
Summary: python-structlog fails to build with Python 3.11: test failures due to enahan...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-structlog
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2099125 (view as bug list)
Depends On:
Blocks: F38FTBFS F38FailsToInstall PYTHON3.11 F37FTBFS F37FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2022-06-06 13:06 UTC by Tomáš Hrnčiar
Modified: 2023-09-15 01:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-16 12:02:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2022-06-06 13:06:24 UTC
python-structlog fails to build with Python 3.11.0b3.


=================================== FAILURES ===================================
_________________ TestFormatExcInfo.test_gets_exc_info_on_bool _________________

self = <tests.test_processors.TestFormatExcInfo object at 0x7f252826cd90>

    def test_gets_exc_info_on_bool(self):
        """
        If exc_info is True, it is obtained using sys.exc_info().
        """
        # monkeypatching sys.exc_info makes currently py.test return 1 on
        # success.
        try:
            raise ValueError("test")
        except ValueError:
            d = format_exc_info(None, None, {"exc_info": True})
    
        assert "exc_info" not in d
>       assert 'raise ValueError("test")\nValueError: test' in d["exception"]
E       assert 'raise ValueError("test")\nValueError: test' in 'Traceback (most recent call last):\n  File "/builddir/build/BUILD/structlog-19.2.0/tests/test_processors.py", line 330, in test_gets_exc_info_on_bool\n    raise ValueError("test")\n    ^^^^^^^^^^^^^^^^^^^^^^^^\nValueError: test'

../tests/test_processors.py:335: AssertionError
___________________ TestThreadLocalDict.test_delattr_missing ___________________

self = <tests.test_threadlocal.TestThreadLocalDict object at 0x7f2528170190>
D = <class 'structlog.threadlocal.WrappedDict-330b050f-c844-4ed1-b572-3f960b0760b4'>

    def test_delattr_missing(self, D):
        """
        __delattr__ on an inexisting attribute raises AttributeError.
        """
        d = D()
    
        with pytest.raises(AttributeError) as e:
            d._tl.__delattr__("does_not_exist")
    
>       assert "does_not_exist" == e.value.args[0]
E       assert 'does_not_exist' == "'_thread._lo...es_not_exist'"
E         - '_thread._local' object has no attribute 'does_not_exist'
E         + does_not_exist

../tests/test_threadlocal.py:252: AssertionError
=============================== warnings summary ===============================
../../../../../usr/lib/python3.11/site-packages/_pytest/config/__init__.py:1252
  /usr/lib/python3.11/site-packages/_pytest/config/__init__.py:1252: PytestConfigWarning: Unknown config option: strict
  
    self._warn_or_fail_if_strict(f"Unknown config option: {key}\n")

-- Docs: https://docs.pytest.org/en/stable/how-to/capture-warnings.html
=========================== short test summary info ============================
SKIPPED [3] ../tests/test_dev.py:94: Problem only exists on Python 2.
SKIPPED [1] ../tests/test_processors.py:194: simplejson is missing.
SKIPPED [1] ../tests/test_processors.py:209: python-rapidjson is missing.
SKIPPED [10] ../tests/test_processors.py:300: Skipped
SKIPPED [1] ../tests/test_threadlocal.py:215: Needs greenlet.
XFAIL ../tests/test_twisted.py::TestExtractStuffAndWhy::test_recognizesErrorsAndCleansThem
  Py3 does not allow for cleaning exc_info
FAILED ../tests/test_processors.py::TestFormatExcInfo::test_gets_exc_info_on_bool
FAILED ../tests/test_threadlocal.py::TestThreadLocalDict::test_delattr_missing
======= 2 failed, 350 passed, 16 skipped, 1 xfailed, 1 warning in 0.92s ========

https://docs.python.org/3.11/whatsnew/3.11.html

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.11/fedora-rawhide-x86_64/04499139-python-structlog/

For all our attempts to build python-structlog with Python 3.11, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/package/python-structlog/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.11:
https://copr.fedorainfracloud.org/coprs/g/python/python3.11/

Let us know here if you have any questions.

Python 3.11 is planned to be included in Fedora 37. To make that update smoother, we're building Fedora packages with all pre-releases of Python 3.11.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Miro Hrončok 2022-06-20 10:20:16 UTC
*** Bug 2099125 has been marked as a duplicate of this bug. ***

Comment 2 Miro Hrončok 2022-06-27 14:53:57 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Miro Hrončok 2022-07-18 22:26:40 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 4 Ben Cotton 2022-08-09 13:17:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 5 Miro Hrončok 2022-08-16 12:02:12 UTC
Automation has figured out the package is retired in Fedora 37.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 6 Red Hat Bugzilla 2023-09-15 01:55:33 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 365 days


Note You need to log in before you can comment on or make changes to this bug.